com.opensymphony.xwork2.config.entities

## Class InterceptorConfig.Builder

- java.lang.Object
- - com.opensymphony.xwork2.config.entities.InterceptorConfig.Builder

- Enclosing class:
    InterceptorConfig

      public static final class InterceptorConfig.Builder
      extends Object

  The builder for this object. An instance of this object is the only way to construct a new instance. The purpose is to enforce the immutability of the object. The methods are structured in a way to support chaining. After setting any values you need, call the `build()` method to create the object.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected InterceptorConfig` | `target`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Builder(InterceptorConfig orig)`
    `Builder(String name, String className)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `InterceptorConfig.Builder` | `addParam(String name, String value)`
    `InterceptorConfig.Builder` | `addParams(Map<String,String> params)`
    `InterceptorConfig` | `build()`
    `InterceptorConfig.Builder` | `className(String name)`
    `protected void` | `embalmTarget()`
    `InterceptorConfig.Builder` | `location(Location loc)`
    `InterceptorConfig.Builder` | `name(String name)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### target

          protected InterceptorConfig target

  - ### Constructor Detail

    - #### Builder

          public Builder(String name,
                         String className)

    - #### Builder

          public Builder(InterceptorConfig orig)

  - ### Method Detail

    - #### name

          public InterceptorConfig.Builder name(String name)

    - #### className

          public InterceptorConfig.Builder className(String name)

    - #### addParam

          public InterceptorConfig.Builder addParam(String name,
                                                    String value)

    - #### addParams

          public InterceptorConfig.Builder addParams(Map<String,String> params)

    - #### location

          public InterceptorConfig.Builder location(Location loc)

    - #### build

          public InterceptorConfig build()

    - #### embalmTarget

          protected void embalmTarget()

Copyright © 2000–2025 Apache Software Foundation. All rights reserved.